#include<iostream>
using namespace std;
int n,k,x;
void unos()
{
    cin>>n>>k>>x;
}
void niz(int &s,int a,int i)
{
    for(int j=1;j<=a;j++)
    {
        if (s>1){
        s--;
        cout<<i<<' ';}
    }
}
void ispis()
{
    int i=1,j,l,s=0;
    s=n;
    if (k==0)
    {

    }
    else
    {
        //l=n/x;
        //cout<<l;
        while(s>1)
        {
            niz(s,k,i);
            i++;
        }
        cout<<x+1;
    }
}
int main()
{
    unos();
    ispis();
}